Ergebnis 1 bis 8 von 8

Thema: Totaler Crash nach Installation Rock-solid column - General Error

  1. #1
    Contao-Nutzer
    Registriert seit
    29.09.2021.
    Ort
    Rügen
    Beiträge
    18

    Standard Totaler Crash nach Installation Rock-solid column - General Error

    Ich hatte mich so gefreut: meine erste Contao4-Installation klappte!!! Design/Layout eingerichtet und nun fehlte mir nur noch die Einrichtung einer Spalten-Erweiterung. Also den Contao-Manager aufgerufen (der sich inzwischen auch noch erfolgreich upgedatet hat), rocksolid Columns gefunden und mutig installieren lassen
    Und dann die Fehlermeldung einer nicht abgeschlossenen Installation
    composer require madeyourday/contao-rocksolid-columns
    composer update madeyourday/contao-rocksolid-columns contao/conflictsErfolgreich nach 12 Sekunden. RAM-Verbrauch: 79.82MB (Spitze: 1473.44MB), Dauer: 13.19s.
    composer install

    $ /opt/plesk/php/8.0/bin/php -q -dmax_execution_time=0 -dmemory_limit=-1 -dallow_url_fopen=1 -ddisable_functions= -ddate.timezone=Europe/Berlin /var/www/vhosts/uns-pierstall.de/httpdocs/web/contao-manager.phar.php composer
    install --prefer-dist --no-dev --no-progress --no-ansi --no-interaction --optimize-autoloader
    Installing dependencies from lock file
    Verifying lock file contents can be installed on current platform.
    Package operations: 1 install, 2 updates, 0 removals
    As there is no 'unzip' nor '7z' command installed zip files are being unpacked using the PHP zip extension.
    This may cause invalid reports of corrupted archives. Besides, any UNIX permissions (e.g. executable) defined in the archives will be lost.
    Installing 'unzip' or '7z' may remediate them.
    - Downloading contao-components/contao (9.2.0)
    - Downloading spatie/schema-org (3.7.0)
    - Downloading madeyourday/contao-rocksolid-columns (v2.0.3)
    - Upgrading contao-components/contao (9.1.1 => 9.2.0): Extracting archive
    - Upgrading spatie/schema-org (3.5.0 => 3.7.0): Extracting archive
    - Installing madeyourday/contao-rocksolid-columns (v2.0.3): Extracting archive
    Package league/uri-hostname-parser is abandoned, you should avoid using it. No replacement was suggested.
    Package league/uri-schemes is abandoned, you should avoid using it. No replacement was suggested.
    Package patchwork/utf8 is abandoned, you should avoid using it. Use symfony/polyfill-mbstring or symfony/string instead.
    Generating optimized autoload files
    Class League\Uri\Schemes\AbstractUri located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Data located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\File located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Ftp located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Http located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Uri located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\UriException located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Ws located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    composer/package-versions-deprecated: Generating version class...
    composer/package-versions-deprecated: ...done generating version class
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    90 packages you are using are looking for funding.
    Use the `composer fund` command to find out more!
    > @php vendor/bin/contao-setup
    In YamlFileLoader.php line 770:

    The file "/var/www/vhosts/uns-pierstall.de/httpdocs/config/config.yml" does
    not contain valid YAML: A YAML file cannot contain tabs as indentation in
    "/var/www/vhosts/uns-pierstall.de/httpdocs/config/config.yml" at line 5 (ne
    ar " dbal:").

    In Parser.php line 153:

    A YAML file cannot contain tabs as indentation in "/var/www/vhosts/uns-pier
    stall.de/httpdocs/config/config.yml" at line 5 (near " dbal:").

    Script @php vendor/bin/contao-setup handling the post-install-cmd event returned with error code 1
    # Process terminated with exit code 1
    # Result: General error
    Fehlermeldung.JPG

    Die Webseite ist tot mit error500, ebenso komme ich nicht ins Backend, error 500

    In den 3.x Contao-Versionen konnte man in /system/modules/ das jeweilige Modul auswählen und dann eine Datei .skip einfügen, um die Installation rückgängig zu machen. Aber es gibt noch keinen Unterordner in /modules.

    Wie komme ich aus dem Dilemma wieder raus?

  2. #2
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    28.167
    Partner-ID
    10107

    Standard

    Steht doch eh in der Fehlermeldung

    The file "/var/www/vhosts/uns-pierstall.de/httpdocs/config/config.yml" does not contain valid YAML: A YAML file cannot contain tabs as indentation
    » sponsor me via GitHub or PayPal

  3. #3
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.289
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Du musst also die Einrückung mittels Leerzeichen machen.

  4. #4
    Contao-Nutzer
    Registriert seit
    29.09.2021.
    Ort
    Rügen
    Beiträge
    18

    Standard

    Meine config.yml sieht so aus:
    Code:
    doctrine:
    	dbal:
    		connections:
    			default:
    				options:
    					1002: "SET SESSION sql_mode=(SELECT CONCAT(@@sql_mode, ',TRADTIONAL'))"
    Da steht nichts von tabs. Sorry, irgendwie verstehe ich die Fehlermeldung nicht.
    Warum ist meine config.yml nicht valid?

    OK, habe gerade Deine Meldung gelesen. Einrückungen per Leerzeichen. Also das bedeutet die Meldung mit den Tabs... OK, mache ich gleich. Hoffentlich kommt sie Seite dann wieder
    Geändert von jeppsson (08.10.2021 um 12:45 Uhr)

  5. #5
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    28.167
    Partner-ID
    10107

    Standard

    Zitat Zitat von jeppsson Beitrag anzeigen
    Warum ist meine config.yml nicht valid?
    Laut Fehlermeldung hast du tabs und spaces vermischt. Nutze einen Editor, wo du dir den Whitespace anzeigen lassen kannst.
    » sponsor me via GitHub or PayPal

  6. #6
    Contao-Nutzer
    Registriert seit
    29.09.2021.
    Ort
    Rügen
    Beiträge
    18

    Standard

    Habe alles in Leerzeichen umgewandelt in der config.yml und den Contao-Manager aufgerufen. diese Fehlermeldung
    $ /opt/plesk/php/8.0/bin/php -q -dmax_execution_time=0 -dmemory_limit=-1 -dallow_url_fopen=1 -ddisable_functions= -ddate.timezone=Europe/Berlin /var/www/vhosts/uns-pierstall.de/httpdocs/web/contao-manager.phar.php composer install --prefer-dist --no-dev --no-progress --no-ansi --no-interaction --optimize-autoloader
    Installing dependencies from lock file
    Verifying lock file contents can be installed on current platform.
    Nothing to install, update or remove
    Package league/uri-hostname-parser is abandoned, you should avoid using it. No replacement was suggested.
    Package league/uri-schemes is abandoned, you should avoid using it. No replacement was suggested.
    Package patchwork/utf8 is abandoned, you should avoid using it. Use symfony/polyfill-mbstring or symfony/string instead.
    Generating optimized autoload files
    Class League\Uri\Schemes\AbstractUri located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Data located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\File located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Ftp located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Http located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Uri located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\UriException located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    Class League\Uri\Schemes\Ws located in ./vendor/league/uri-schemes/src/Schemes/deprecated.php does not comply with psr-4 autoloading standard. Skipping.
    composer/package-versions-deprecated: Generating version class...
    composer/package-versions-deprecated: ...done generating version class
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    90 packages you are using are looking for funding.
    Use the `composer fund` command to find out more!
    > @php vendor/bin/contao-setup
    In AbstractMySQLDriver.php line 128:

    An exception occurred in driver: SQLSTATE[42000] [1231] Variable 'sql_mode'
    can't be set to the value of 'TRADTIONAL'

    In Exception.php line 18:

    SQLSTATE[42000] [1231] Variable 'sql_mode' can't be set to the value of 'TR
    ADTIONAL'

    In PDOConnection.php line 40:

    SQLSTATE[42000] [1231] Variable 'sql_mode' can't be set to the value of 'TR
    ADTIONAL'

    Script @php vendor/bin/contao-setup handling the post-install-cmd event returned with error code 1
    # Process terminated with exit code 1
    # Result: General error
    Fehlermeldung.JPG

    Es liegt also diesmal an der Datenbank? Nicht im Traditional mode?

  7. #7
    Community-Moderator & Contao-Urgestein Avatar von derRenner
    Registriert seit
    23.10.2012.
    Ort
    hoRn|waldviertel
    Beiträge
    2.322
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Zitat Zitat von jeppsson Beitrag anzeigen
    Es liegt also diesmal an der Datenbank? Nicht im Traditional mode?
    nein, du hast einen Schreibfehler
    ,TRADTIONAL'))" » sollte wohl TRADITIONAL heissen ... das 'I' fehlt
    Grüsse
    Bernhard


  8. #8
    Contao-Nutzer
    Registriert seit
    29.09.2021.
    Ort
    Rügen
    Beiträge
    18

    Standard

    Danke, alles läuft wieder.
    Hmmm, dummer Schreibfehler

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •